# opalpluginmgr.h File Reference

`#include <ptlib/object.h>`
`#include <opal/buildopts.h>`
`#include <ptlib/pluginmgr.h>`
`#include <ptlib/pfactory.h>`
`#include <codec/opalplugin.h>`
`#include <opal/mediafmt.h>`
`#include <opal/transcoders.h>`

Go to the source code of this file.

## Classes

class | H323StaticPluginCodec
class | OpalPluginCodecHandler
class | OpalPluginCodecManager
class | OpalPluginControl
class | OpalPluginMediaFormatInternal
class | OpalPluginMediaFormat
class | OpalPluginTranscoder
class | OpalPluginAudioFormatInternal
class | OpalPluginFramedAudioTranscoder
class | OpalPluginStreamedAudioTranscoder
class | OpalPluginStreamedAudioEncoder
class | OpalPluginStreamedAudioDecoder
class | OpalFactoryCodec
class | OpalPluginTranscoderFactory< TranscoderClass >
class | OpalPluginTranscoderFactory< TranscoderClass >::Worker
class | H323PluginCapabilityInfo

## Typedefs

typedef PFactory< H323StaticPluginCodec > | H323StaticPluginCodecFactory

## Typedef Documentation

typedef PFactory<H323StaticPluginCodec> H323StaticPluginCodecFactory